# Uses of Interface
org.astrogrid.samp.web.ClientAuthorizer

Packages that use ClientAuthorizer
Package
Description
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.

## Uses of ClientAuthorizer in org.astrogrid.samp.web

Classes in org.astrogrid.samp.web that implement ClientAuthorizer
Modifier and Type
Class
Description
`class`
`ExtremeSwingClientAuthorizer`
Client authorizer implementation that does its very best to discourage users from accepting regitrations.
`class`
`HubSwingClientAuthorizer`
ClientAuthorizer implementation that queries the user for permission via a popup dialogue.
Fields in org.astrogrid.samp.web declared as ClientAuthorizer
Modifier and Type
Field
Description
`static final ClientAuthorizer`
ClientAuthorizers.`FALSE`
Authorizer which always denies access, with INFO logging either way.
`static final ClientAuthorizer`
ClientAuthorizers.`TRUE`
Authorizer which always permits access, with WARNING logging either way.
Methods in org.astrogrid.samp.web that return ClientAuthorizer
Modifier and Type
Method
Description
`static ClientAuthorizer`
ClientAuthorizers.`createFixedClientAuthorizer(boolean policy)`
Returns a new authorizer instance which always produces the same authorization status.
`static ClientAuthorizer`
ClientAuthorizers.`createLoggingClientAuthorizer(ClientAuthorizer auth, Level acceptLevel, Level refuseLevel)`
Returns a new authorizer instance based on an existing one which logs authorization results through the logging system.
Methods in org.astrogrid.samp.web with parameters of type ClientAuthorizer
Modifier and Type
Method
Description
`static ClientAuthorizer`
ClientAuthorizers.`createLoggingClientAuthorizer(ClientAuthorizer auth, Level acceptLevel, Level refuseLevel)`
Returns a new authorizer instance based on an existing one which logs authorization results through the logging system.
Constructors in org.astrogrid.samp.web with parameters of type ClientAuthorizer
Modifier
Constructor
Description
``
`WebHubProfile(WebHubProfile.ServerFactory serverFactory, ClientAuthorizer auth, MessageRestriction mrestrict, KeyGenerator keyGen, boolean controlUrls)`
Constructs a profile with configuration options.
``
`WebHubXmlRpcHandler(ClientProfile profile, ClientAuthorizer auth, KeyGenerator keyGen, URL baseUrl, UrlTracker urlTracker)`
Constructor.